package com.jiayue.ipp.idp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jiayue.ipp.common.data.entity.AccuracyCalculation;
import com.jiayue.ipp.common.data.entity.ElectricField;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * idp_electric_field
 *
 * @author whc
 * @date 2022-03-18 15:48:48
 */
public interface AccuracyCalculationService extends IService<AccuracyCalculation> {


    void calculate(ElectricField electricField);

    Map<String, Object> findByTimeBetweenTableDay(Long startTime, Long endTime, String showCode, String sortOrder, String stationCode, String type, String forecastManufactor);

    Map<String, Object> findByTimeBetweenTable(Long startTime, Long endTime, String showCode, String sortOrder, String stationCode, String type, String forecastManufactor);

    Map<String, Object> findByTimeBetweenTableMonth(Long startTime, Long endTime, String showCode, String sortOrder, String stationCode, String type, String forecastManufactor);

    Map<String, Object> findByTimeBetweenForRealTimeCharts(Long startTime, Long endTime, String showCode, String stationCode, String type, String forecastManufactor);

    Map<String, Object> findByTimeBetweenForRealTimeChartsDay(Long startTime, Long endTime, String showCode, String stationCode, String type, String forecastManufactor);

    List<AccuracyCalculation> homePageShortAccuracy();

    List<AccuracyCalculation> homePageUltraShortAccuracy();
}
